import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:octo_camera_device/octo_camera_device.dart';

void main() {
  const MethodChannel channel = MethodChannel('octo_camera_device');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await OctoCameraDevice.platformVersion, '42');
  });
}
